> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query OrderItem

> Retrieve a list of OrderItems with a complex or simple query.



## OpenAPI

````yaml post /vLatest/query/glasscore/orderitem
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /vLatest/query/glasscore/orderitem:
    post:
      tags:
        - OrderItem
      summary: Query OrderItem
      description: Retrieve a list of OrderItems with a complex or simple query.
      operationId: QueryOrderItem
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of OrderItems
          content:
            application/json:
              schema:
                type: object
                properties:
                  c_currentStatusCodeId:
                    type: string
                    description: >-
                      Represents the unique identifier for the current status of
                      an order item.
                  c_currentStatusCodeName:
                    type: string
                    description: >-
                      Represents the current status of an order item such as
                      'pending', 'shipped', 'delivered', etc.
                  c_org:
                    type: string
                    description: >-
                      Represents the organization associated with a particular
                      order item.
                  c_personNameFirst:
                    type: string
                    description: Stores the first name of the person who placed the order.
                  c_personNameLast:
                    type: string
                    description: >-
                      Stores the last name of the individual who placed the
                      order.
                  c_productName:
                    type: string
                    description: >-
                      Stores the name of the product associated with each order
                      item.
                  CreationTimestamp:
                    anyOf:
                      - type: string
                      - type: string
                    description: Timestamp of record creation.
                  CurrentStatusId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of the current status of
                      an item in an order.
                  id:
                    type: number
                    description: Unique identifier.
                  isNotModifiable:
                    type: boolean
                    nullable: true
                    description: Indicates whether the order item can be changed or not.
                  orderedBy:
                    type: string
                    description: Indicates the customer who placed the order for the item.
                  OrgId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for the organization
                      associated with a specific order item.
                  Parent~OrderItemId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of the parent order item
                      in the OrderItem table.
                  Passport~OrderItemId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of an order item
                      associated with a passport.
                  PersonId:
                    type: number
                    description: Unique identifier for the individual who placed the order.
                  ProductId:
                    type: number
                    description: >-
                      Unique identifier for the specific product associated with
                      an order item.
                required:
                  - c_currentStatusCodeId
                  - c_currentStatusCodeName
                  - c_org
                  - c_personNameFirst
                  - c_personNameLast
                  - c_productName
                  - CreationTimestamp
                  - CurrentStatusId
                  - id
                  - isNotModifiable
                  - orderedBy
                  - OrgId
                  - Parent~OrderItemId
                  - Passport~OrderItemId
                  - PersonId
                  - ProductId
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````